US eKYB Advanced+

Earlier in our docs is an overview of our Know Your Business here. Now, this page is focused specifically on eKYB Advanced+ in US. eKYB in US leverages the government sources of truth to validate the legitimacy of businesses, including their taxID (9 digit EIN), business name, business address, along with UBOs.

Integration

User input flow

eKYB module configuration

eKYB user input flow example

Module Configuration

Module configuration gives various options to specify different KYB criteria you would like to check (eg. Business name, Business Address, and Business taxID).

eKYB module configuration

KYB module configuration

Direct API Approach

All module configurations and user data can be forwarded directly in the request for performing an KYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

POST /omni/externalVerification/ekyb

This endpoint performs an KYB check for the business specified. Note: Endpoint can have empty body {} and in that case information will be pulled from module configuration and session details.

  • plugins: must be["ekyb"]: (mandatory)
  • businessName:: (mandatory) String. Name of the business.
  • street: (optional) String. Street name of the business.
  • houseNo: (optional) String. Building or house number on the street..
  • addressLine2: (optional) String. Address line 2 of the business. (eg. in US apartment or unit number)
  • city: (optional) String. City of the business of the business address.
  • state: (optional) String. State of the business of the business address
  • postalCode: (optional) String. postalCode formatted based on per-country postalCode basis. (US has 5 digit postal codes)
  • country: (mandatory) String. Two letter Alpha-2 country code. (Must be US)
  • taxId: (mandatory) String. Tax ID of the business. This may be a 9-digit EIN issued by the IRS or a state-issued business registration number.
  • uboNames: (optional) String. Full legal name(s) of Unique Beneficial owners to check against list of legal business associations

Notes:
The country parameter is used to limit business validation to that specific region. We will only validate a business established in the country selected in the eKYB request.

Not all address fields can be blank in the request. At least one field from street, houseNo, addressLine2, city, state and postalCode must have a valid input.

REQUEST FORMAT EXAMPLE
{
  "plugins" : ["ekyb"], //required field
  "businessName" : "Delta International Inc.", //required field
  "street" : "SW 72nd Ave",
  "houseNo" : "4856",
  "addressLine2" : "",
  "city" : "MIAMI",
  "state" : "FL",
  "postalCode" : "33155",
  "country" : "US", //required field
  "taxId" : "XXXXXXXXX", //required field
  "uboNames" : ["Jose A Santos"]
}

Response

All module configurations and user data can be forwarded directly in the request for performing an eKYB search. This will override existing configuration and data collected about the user.

📘

API Authentication

All endpoints require authentication headers to be specified as stated in Incode API Documentation

RESPONSE EXAMPLE
{
  "kyb": [
    {
      "key": "name",
      "status": "success",
      "sub_label": "Verified",
      "message": "Match identified to the submitted Business Name"
    },
    {
      "key": "tin",
      "status": "success",
      "sub_label": "Found",
      "message": "The IRS has a record for the submitted TIN and Business Name combination"
    },
    {
      "key": "address_verification",
      "status": "success",
      "sub_label": "Verified",
      "message": "Match identified to the submitted Office Address"
    },
    {
      "key": "address_deliverability",
      "status": "success",
      "sub_label": "Deliverable",
      "message": "The USPS is able to deliver mail to the submitted Office Address"
    },
    {
      "key": "address_property_type",
      "status": "success",
      "sub_label": "Commercial",
      "message": "Submitted Office Address is a Commercial property"
    },
		{
        "key": "postalCodeMatch",
        "sub_label": "Verified"
    },
    {
        "key": "cityMatch",
        "sub_label": "Verified"
    },
    {
      "key": "registrationStatus",
      "sub_label": "Active"
    },
    {
      "key": "entityType",
      "entityType": {
      "entityType": "Private limited with Share Capital"
    }
    },
    {
      "key": "ubo_name_match",
      "status": "success",
      "sub_label": "Verified"
    },
    {
      "key": "people",
      "people": [
        {
          "name": "PANDO, ADA B.",
          "titles": [
            {
              "title": "DIRECTOR"
            }
          ]
        },
        {
          "name": "PANDO, SARAH A.",
          "titles": [
            {
              "title": "DIRECTOR"
            }
          ]
        },
        {
          "name": "MARTIN, JOHN",
          "titles": [
            {
              "title": "DIRECTOR"
            },
            {
              "title": "REGISTERED AGENT"
            }
          ]
        },
        {
          "name": "SARAH, MARTA",
          "titles": [
            {
              "title": "DIRECTOR"
            }
          ]
        },
        {
          "name": "SANTOS, JOSE A",
          "titles": [
            {
              "title": "CEO"
            },
            {
              "title": "PRESIDENT"
            },
            {
              "title": "REGISTERED AGENT"
            },
            {
              "title": "VICE PRESIDENT"
            }
          ]
        }
      ]
    }
  ]
}

US API Key

Status

Definition

name

Verified,
Similar Match, Unverified

Submitted business name is verified, approximate match, or unverified against the business name associated with the EIN in the government database.

Note: Our API will be updated to return 'Approximate Match' instead of 'Similar Match'. ETA - 3/21/2026

tin

Verified,
Unverified

Submitted Tax ID is found or not found in the government database.

address_verification

Verified,
Similar Match, Unverified

Submitted address is verified, approximate match, or unverified against the address associated with the EIN in the government database.

Note: Our API will be updated to return 'Approximate Match' instead of 'Similar Match'. ETA - 3/21/2026

address_deliverability

Deliverable, Not Deliverable

The USPS is able to or not able to deliver mail to the submitted Office Address

address_property_type

Commercial, Residential

The property type of the submitted Office Address is either Commercial or Residential

cityMatch

Verified,
Approximate Match,
Unverified

Submitted city is verified, approximate match, or unverified against the city associated with the tax ID in the government database.

postalCodeMatch

Verified, Unverified

Submitted postal code is verified, approximate match, or unverified against the address associated with the tax ID in the government database.

registrationStatus

Active, Inactive, Unknown

Active: This occurs if the registration status of the business is active in some or all states with SOS filings.

Inactive: This occurs if the registration status of the business is suspended or inactive in all states with SOS filings.

Unknown: This occurs if the registration status of the business is not available.

entityType

Legal entity type of the business

This displays the legal entity type of the company, if available, from an official source. If not available, “Unknown” is displayed.

ubo_name_match

Verified, Approximate Match, Unverified

Submitted UBO is an exact match against the UBO associated with the Business taxID (EIN) in the government database.

In situations where user has submitted multiple ubo names to be verified against the government source of truth, you will see additional fields called ubo_name_match.

You can distinguish ubo_name_match when looking at uboName_input

people

Name & Title

Lists out the full list of individuals associated with the business entity

Learning more about Approximate Match : Approximate Match is generated through Incode's proprietary fuzzy matching algorithm. If approximate match is returned, the algorithm has identified a similar match with the string submitted in relation to the string stored in the government source of truth for a particular field. Approximate Match is returned when exact matches are not possible due to misspellings, typographical errors, or slight variations in input data.

Tax ID Verification Messages

Tax ID TypeConditionMessage
9 digit EINWhen TIN is found in IRS and validThe IRS has a record for the submitted TIN and business name combination.
9 digit EINWhen TIN is found in IRS but not associated with the business name submittedWe believe the submitted TIN is associated with a different business name.
9 digit EINWhen TIN is not found in IRSThe IRS does not have a record for the submitted TIN and business name combination.
State issued tax IDWhen tax ID and business name are associated with each otherThe Tax ID provided is associated with the Business Name.
State issued tax IDWhen tax ID and business name are not associated with each otherWe could not determine a record for the submitted TIN and business name combination.
State issued tax IDWhen both tax ID and business name could not be foundWe could not find a business with the provided name or tax ID.

Please refer to error response to see conventional HTTP response codes to indicate the success or failure of an API request.

Custom 400 error messages if businessName, taxId, or country is “ “ or null:

message: businessName, taxId, and country are minimum required fields.

Single Session Dashboard Results

They are available on Single Session view under Business tab

eKYB single session dashboard results

eKYB results


Differences between Advanced and Advanced+ for US eKYB

The main difference is around the responses you will get from both requests. Advanced does not include Address Deliverability, Address Property Type, Entity Type or the full list of UBOs associated to the business. Only Advanced+ will include this information